libzypp 17.37.10

metadatahelper.h File Reference
`#include <zypp-core/Pathname.h>`
`#include <cstdio>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Enumerations
enum class | zypp::media::MetaDataType { zypp::media::None = 0 , zypp::media::Zsync , zypp::media::MetaLink }

## Functions
MetaDataType | zypp::media::looks_like_meta_data (const std::vector< char > &data)
MetaDataType | zypp::media::looks_like_meta_file (const Pathname &file)
MetaDataType | zypp::media::looks_like_meta_file (FILE *file)

## Variables
constexpr auto | zypp::media::minMetalinkProbeSize = 256